DROP PROCEDURE IN_AnularDocumentoProc
GO
CREATE PROCEDURE IN_AnularDocumentoProc
(@SITEID UD_IDSITE,
@BATNBR char(10)
)
AS
BEGIN
    DECLARE   	@ERROR	integer
   -- DECLARE	@DATEPROCE	SMALLDATETIME  

    BEGIN TRAN
   
   -- OBTENIENDO LA FECHA DE PROCESO COMO FECHA DE ANULACION
   -- SET @DATEPROCE=(SELECT DATEPROCE FROM SETUP)

   --ACTUALIZO EL ESTADO DEL DOCUMENTO EN IN_INTRAHEAD
  
    UPDATE IN_INTRAHEAD
    SET DOCSTATUSID='AN'
    WHERE SITEID=@SITEID AND BATNBR=@BATNBR
          
    SET @ERROR=@@error
     
          IF (@ERROR!=0 OR @@ROWCOUNT=0 )
          BEGIN       
            ROLLBACK
            RETURN(1)  
          END         

    --ACTUALIZO EL ESTADO DEL DOCUMENTO EN IN_INTRAITEM
    UPDATE IN_INTRAITEM
    SET DOCSTATUSID='AN'
    WHERE SITEID=@SITEID AND BATNBR=@BATNBR
          
    SET @ERROR=@@error
     
          IF (@ERROR!=0 OR @@ROWCOUNT=0 )
          BEGIN       
            ROLLBACK
            RETURN(1)  
          END         

  COMMIT TRAN
  RETURN (0)

END   



